import { TypedConstructor } from '../common/TypedConstructor';
/**
 * Expects "objOrCtor" to be a class or instance of a class with document metadata.
 *
 * This maps the document to the class.
 */
export declare function documentToClass<T>(objOrCtor: T | TypedConstructor<T>, doc: any): T;
